package CRSDK;

@SuppressWarnings("unused")
public enum CrMovie_Recording_State {
    CrMovie_Recording_State_Not_Recording (0x0000),
    CrMovie_Recording_State_Recording (0x0001),
    CrMovie_Recording_State_Recording_Failed (0x0002),
    CrMovie_Recording_State_IntervalRec_Waiting_Record (0x0003);

    private final CrInt16u value;
    CrMovie_Recording_State(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
